 <config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../../../../lib/internal/Magento/Framework/ObjectManager/etc/config.xsd">
    <type name="Magento\Framework\View\Element\UiComponent\DataProvider\CollectionFactory">
        <arguments>
            <argument name="collections" xsi:type="array">
                <item name="alogicinventory_listing_data_source" xsi:type="string">Alogic\Stockalerts\Model\ResourceModel\Grid\Subscriber\Collection</item>
            </argument>
        </arguments>
    </type>

    <virtualType name="Alogic\Stockalerts\Model\ResourceModel\Grid\Subscriber\Collection" type="Magento\Framework\View\Element\UiComponent\DataProvider\SearchResult">
        <arguments>
            <argument name="mainTable" xsi:type="string">alogic_alert_stock</argument>
            <argument name="resourceModel" xsi:type="string">Alogic\Stockalerts\Model\ResourceModel\Subscriber</argument>
        </arguments>
    </virtualType>
    <type name="Magento\Cms\Model\Wysiwyg\Images\Storage">
        <arguments>
            <argument name="extensions" xsi:type="array">
                <item name="allowed" xsi:type="array">
                    <item name="webp" xsi:type="number">1</item>
                </item>
            </argument>
        </arguments>
    </type>
    <preference for="Magento\Cms\Model\Wysiwyg\Images\Storage" type="Alogic\Customadmin\Model\Cms\Wysiwyg\Images\Storage" />
</config>